> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add region

> Add a region to the authenticated legal entity.
Providing the employee count will configure the region and generate applicable tasks.
The employee count is expected to consist of all current full time employees.



## OpenAPI

````yaml /openapi_v2.json put /v2/regions/{region}
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/regions/{region}:
    put:
      summary: Add region
      description: >-
        Add a region to the authenticated legal entity.

        Providing the employee count will configure the region and generate
        applicable tasks.

        The employee count is expected to consist of all current full time
        employees.
      operationId: add_region_handler_v2_regions__region__put
      parameters:
        - name: region
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/StateCode'
        - name: legal_entity_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Legal Entity Public Id
        - name: user_or_platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Or Platform Public Id
        - name: platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Platform Public Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformRegionConfig'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformRegionConfig'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformHttpException'
          description: Unprocessable Entity
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    StateCode:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      title: StateCode
    PlatformRegionConfig:
      properties:
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Employee Count
      type: object
      required:
        - employee_count
      title: PlatformRegionConfig
    PlatformHttpException:
      properties:
        message:
          type: string
          title: Message
        detail:
          type: string
          title: Detail
      type: object
      required:
        - message
        - detail
      title: PlatformHttpException
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/token

````